<mat-form-field class="example-full-width" appearance="outline">
    <span matPrefix style="margin-right: 8px;">
        <mat-icon fontSet="material-symbols-rounded">edit_location_alt</mat-icon>
    </span>
    <mat-label>{{ placeHolder }}</mat-label>
    <input type="text" matInput [formControl]="customControl" [matAutocomplete]="auto">
    <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFn">
        <mat-option *ngFor="let option of filteredOptions | async" [value]="option">
            {{option.name}}
        </mat-option>
    </mat-autocomplete>
</mat-form-field>